Subject: Re: bug#52314: Set message functions

From: Juri Linkov <[email-masked]>
Date: Mon, 06 Dec 2021 11:35:18 +0200

>> +(defcustom inhibit-message-regexp nil
>> +  "Regexp to inhibit messages by the function `inhibit-message'."
>> +  :type '(choice (const :tag "Don't inhibit messages" nil)
>> +                 (regexp :tag "Inhibit messages that match regexp"))
>> +  :version "29.1")
>
> How about making this optionally support a list as well?  That would
> make it slightly easier to customize with `M-x customize', I think,
> especially once you start racking up many ignored messages.

Thanks, good idea, will add it in the next version of the patch.
Also this will help to add more regexps easier with e.g.:

  (add-to-list 'inhibit-message-regexps "^Mark set$")